GET
v1.0.0stableSource statistics
Source statistics. Manage only sources owned by this token on the current tenant.
GET
/api/appstore/manage/sources/:source_id/stats/overviewauth:Bearer Token
制限:60/分
リクエストパラメータ
すべてのパラメータは、クエリまたは本文を介して渡すことができます
| パラメーター | タイプ | 必須 | 内容 |
|---|---|---|---|
source_id | string | 必須 | Source ID owned by this user on the current site 例: 12345678 |
回答
| パラメーター | タイプ | 必須 | 内容 |
|---|---|---|---|
code | integer | 必須 | 1 indicates success; otherwise a token, validation or source error code 例: 1 |
msg | string | 必須 | Localized result message 例: 获取成功 |
time | integer | 必須 | Unix timestamp in seconds |
data | object | 必須 | Allowlisted fields visible to the source owner |
応答例
{}
"code":1,
"msg":"Operation successful",
"time":1780000000,
"data":
{}
"total_downloads":0,
"today_downloads":0,
"total_apps":1
エラーコード
エラーコード4 defined
10無効なトークン
Token is invalid or rotated; HTTP 401
11トークンは期限切れです
Token has expired; HTTP 401
40001Source not found
Source is missing or not owned by this user/tenant; HTTP 404
Response Language
Customize the API response language with the X-Lang header. The code examples below automatically use your current site language.
Recommended Header
X-Lang: enSupported Languages
zh, en, zh-TW, vi, ar, es, ruAccept-Language is also supported; X-Lang takes priority. Unsupported languages follow the site language fallback.
コード例
curl -X GET "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources/12345678/stats/overview" \
-H "X-Lang: en" \
-H "Authorization: Bearer YOUR_API_TOKEN"注
- Use HTTPS. Administrator-only fields such as uid, tenant_id, is_official and expiry time are rejected.
- Responses omit owner identities, draft internals and secrets; creating sources/apps is subject to subscription, trial and quota limits.
コンソールでお試しください
以下のパラメータを入力し、テストのリクエストを送信します。リクエストはこのサイトのAPIにのみ行きます。URLはロックされており、変更することはできません。現在のログインCookieが含まれています。
GET
https://testypro.iwai.cc/api/appstore/manage/sources/12345678/stats/overviewこのサイトにロックされていますstring必須
Source ID owned by this user on the current site